- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoBinaryMetricSavingUpdater< EOT > Class Template Reference

This class allows to save the progression of a binary metric comparing the fitness values of the current population (or archive) with the fitness values of the population (or archive) of the generation (n-1) into a file. More...

`#include <moeoBinaryMetricSavingUpdater.h>`

Inheritance diagram for moeoBinaryMetricSavingUpdater< EOT >:

List of all members.

## Public Types
typedef EOT::Fitness | EOFitness
| The fitness type of a solution.
## Public Member Functions
| moeoBinaryMetricSavingUpdater (moeoVectorVsVectorBM< EOT, double > &_metric, const eoPop< EOT > &_pop, std::string _filename)
| Ctor.
void | operator() ()
| Saves the metric's value for the current generation.
## Private Attributes
moeoVectorVsVectorBM< EOT, double > & | metric
| binary metric comparing two Pareto sets
const eoPop< EOT > & | pop
| main population
eoPop< EOT > | oldPop
| (n-1) population
std::string | filename
| target filename
bool | firstGen
| is it the first generation ?
unsigned | counter
| counter

## Detailed Description

### template<class EOT>
class moeoBinaryMetricSavingUpdater< EOT >

This class allows to save the progression of a binary metric comparing the fitness values of the current population (or archive) with the fitness values of the population (or archive) of the generation (n-1) into a file.

Definition at line 26 of file moeoBinaryMetricSavingUpdater.h.

## Constructor & Destructor Documentation

template<class EOT>
moeoBinaryMetricSavingUpdater< EOT >::moeoBinaryMetricSavingUpdater | ( | moeoVectorVsVectorBM< EOT, double > & | _metric,
|  | const eoPop< EOT > & | _pop,
|  | std::string | _filename
| ) | `[inline]`

  | Ctor. Parameters:
  | _metric | the binary metric comparing two Pareto sets
  | _pop | the main population
  | _filename | the target filename
Definition at line 41 of file moeoBinaryMetricSavingUpdater.h.

The documentation for this class was generated from the following file:

- moeoBinaryMetricSavingUpdater.h